@echo off
rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2008. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************
rem Unset JAVA_HOME because we really want to use the JRE that is bundled.
rem Also, Tomcat will complain if JAVA_HOME is set to a JRE instead of a JDK
rem and that should be avoided
set OLD_JAVA_HOME=%JAVA_HOME%
set JAVA_HOME=

set START_DIR=%~dp0

rem The following four environment variables (*_ABSPATH) are used to point to a
rem directory that contains the appropriate JDBC jar file supplied by the
rem database vendor.  Users may set these variables; if they are set, the script
rem will respect their value.  If they are unset, we look in a directory under
rem <JazzInstallDir>/server by default.  (For example, the default location for
rem the Oracle JDBC driver is under <JazzInstallDir>/server/oracle).

rem Do not use double quotes when you define your environment variable.  If
rem you're setting it from the command line, do:
rem set ORACLE_ABSPATH=c:\path name
rem not:
rem set ORACLE_ABSPATH="c:\path name"

if "%ORACLE_ABSPATH%"=="" goto :default_oracle
set ORACLE_JDBC=%ORACLE_ABSPATH%
goto :after_oracle
:default_oracle
set ORACLE_JDBC=%START_DIR%\oracle
:after_oracle

if "%SQLSERVER_ABSPATH%"=="" goto :default_sqlserver
set SQLSERVER_JDBC=%SQLSERVER_ABSPATH%
goto :after_sqlserver
:default_sqlserver
set SQLSERVER_JDBC=%START_DIR%\sqlserver
:after_sqlserver

if "%DB2I_ABSPATH%"=="" goto :default_db2i
set DB2I_JDBC=%DB2I_ABSPATH%
goto :after_db2i
:default_db2i
set DB2I_JDBC=%START_DIR%\db2i
:after_db2i

if "%DB2Z_ABSPATH%"=="" goto :default_db2z
set DB2Z_JDBC=%DB2Z_ABSPATH%
goto :after_db2z
:default_db2z
set DB2Z_JDBC=%START_DIR%\db2z
:after_db2z

rem Convert the current working directory
rem to a format that is valid for use in a
rem a file URL
set CUR_PATH=%cd%
set DRIVE=%cd:~0,1%
set SHORT_PATH=%~sp0%
set SHORT_PATH=%SHORT_PATH:\=/%
set PATH_URL=%DRIVE%%%3a%SHORT_PATH%

set JRE_HOME=%cd%\jre
set CATALINA_HOME=%cd%\tomcat
set JAVA_OPTS=-Djava.awt.headless=true -DSQLSERVER_JDBC="%SQLSERVER_JDBC%" -DORACLE_JDBC="%ORACLE_JDBC%" -DDB2I_JDBC="%DB2I_JDBC%" -DDB2Z_JDBC="%DB2Z_JDBC%" -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true -DJAZZ_HOME=file:///%PATH_URL%conf -Dcom.ibm.team.repository.tempDir=%TEMP% -Xmx700M

call "%CATALINA_HOME%"\bin\startup.bat

set "JAVA_HOME=%OLD_JAVA_HOME%"
set OLD_JAVA_HOME=
set JRE_HOME=
set CATALINA_HOME=
set JAVA_OPTS=
